## org.flexdock.docking.drag.preview
Class XORPreview

    java.lang.Object
      org.flexdock.docking.drag.effects.DefaultPreview
          org.flexdock.docking.drag.preview.XORPreview

All Implemented Interfaces:
  DockingConstants, DragPreview

    public class XORPreview

extends DefaultPreview

Field Summary

Fields inherited from class org.flexdock.docking.drag.effects.DefaultPreview
`DEFAULT_TAB_HEIGHT, DEFAULT_TAB_WIDTH`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`XORPreview()`

Method Summary
`void` `drawPreview(java.awt.Graphics2D g, java.awt.Polygon p, Dockable dockable, java.util.Map dragInfo)`

Methods inherited from class org.flexdock.docking.drag.effects.DefaultPreview
`createPolyRect, createPolyRect, createPolyTab, createPolyTabOnBottom, createPolyTabOnTop, createPreviewPolygon, createTabbedPaneRect, isOuterRegion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XORPreview

    public XORPreview()

Method Detail

### drawPreview

    public void drawPreview(java.awt.Graphics2D g,
                            java.awt.Polygon p,
                            Dockable dockable,
                            java.util.Map dragInfo)

  Specified by:
    `drawPreview` in interface `DragPreview`
  Specified by:
    `drawPreview` in class `DefaultPreview`